/*
 *    $Id: app_preference.h,v 1.5 1998/04/03 09:22:41 hideki Exp $
 *    This file is a part of the Workplace.
 *    Copyright (C) 1997, 1998  Hideki Fujimoto.
 */
#ifndef _APP_PREFERENCE_H
#define _APP_PREFERENCE_H
#include "pages.h"
typedef struct SLL {
	char  *data;
	struct SLL *next;
} SLL;

extern Page *Pages;

GtkWidget * init_AppPreference (GtkWidget *parent, Trayicon *ticon);
void destroy_AppPreference (GtkWidget *widget);
void check_AppPreference (void);
void cancel_AppPreference (void);
void save_AppPreference (void);
void free_AppPreference(void);
Trayicon * request_new_trayicon (void);
void remove_trayicon_handler (void);
SLL *get_image_files (void);
#endif /* _APP_PREFERENCE_H */







