/*
 *    $Id: gui_preference.h,v 1.3 1998/04/07 16:28:57 hideki Exp $
 *    This file is a part of the Workplace
 *    Copyright (C) 1997, 1998  Hideki Fujimoto.
 */
#ifndef _GUI_PREFERENCE_H
#define _GUI_PREFERENCE_H
#include "pages.h"
#include "suffix.h"

typedef struct NewTrayIcon {
	struct NewTrayIcon *next;
	Trayicon           *ticon;
	Trayicon           *into;
} NewTrayIcon;

typedef struct RemovedTrayIcon {
	struct RemovedTrayIcon *next;
	Trayicon               *ticon;
} RemovedTrayIcon;

typedef struct ModifiedTrayIcon {
	struct ModifiedTrayIcon *next;
        Trayicon                *origin;
	Trayicon                *ticon;
} ModifiedTrayIcon;

typedef struct NewPage {
	struct NewPage *next;
        Page                *page;
	Page                *into;
} NewPage;

typedef struct RemovedPage {
	struct RemovedPage *next;
	Page               *page;
} RemovedPage;

typedef struct ModifiedPage {
	struct ModifiedPage *next;
        Page                *origin;
	Page                *page;
} ModifiedPage;

typedef struct ModifiedMenu {
	struct ModifiedMenu *next;
        Suffix              *origin;
	Suffix              *data;
} ModifiedMenu;

typedef struct RemovedMenu {
	struct RemovedMenu *next;
	Suffix             *data;
} RemovedMenu;

typedef struct NewMenu {
	struct NewMenu *next;
	Suffix         *data;
} NewMenu;


void create_PreferenceWindow(void);
#endif /* _GUI_PREFERENCE_H */









