/*
 *    $Id: if_workplace.h,v 1.8 1998/04/03 09:22:42 hideki Exp $
 *    This file is a part of the Workplace.
 *    Copyright (C) 1997, 1998  Hideki Fujimoto.
 */
#ifndef _IF_WORKPLACE_H
#define _IF_WORKPLACE_H
#include "suffix.h"
#include "files.h"

typedef struct Workplace {
	GtkWidget *w_icon;
	GtkWidget *w_list;
} Workplace;

void init_workplace (GtkWidget *);
void display_files (char *pathname, enum sorttype stype);
void exec_callback0 (GtkWidget *widget, Suffix *suffix);
void exec_callback1 (GtkWidget *widget, Suffix *suffix);
void exec_callback2 (GtkWidget *widget, Suffix *suffix);
void run_callback(void);
void attr_callback(void);
void create_file_icon2(FileList *file);
void create_file_list2(FileList *file);
#endif /* _IF_WORKPLACE_H */







