/*
 *    $Id: page_preference.h,v 1.6 1998/04/03 09:22:42 hideki Exp $
 *    This file is a part of the Workplace
 *    Copyright (C) 1997, 1998  Hideki Fujimoto.
 */
#ifndef _PAGE_PREFERENCE_H
#define _PAGE_PREFERENCE_H
#include <gtk/gtk.h>
#include "pages.h"

GtkWidget *init_PagePreference(GtkWidget *parent, Page *page);
void destroy_PagePreference(GtkWidget *widget);
void check_PagePreference(void);
void cancel_PagePreference (void);
void save_PagePreference(void);
void free_PagePreference (void);
Page *request_new_page(void);
void request_remove_page(void);

#endif /* _PAGE_PREFERENCE_H */







