/*
 *    $Id: pref_launcher.h,v 1.2 1998/04/05 14:49:41 hideki Exp $
 *    This file is a part of the Workplace
 *    Copyright (C) 1997, 1998  Hideki Fujimoto.
 */
#ifndef _PREF_LAUNCHER_H
#define _PREF_LAUNCHER_H

#include <gtk/gtk.h>
#include "pages.h"

typedef enum TypeRight {
	DUMY,
	PAGE,
	APP
} TypeRight;

typedef struct PageTree {
	struct PageTree *next;
	Page            *page;
	GtkWidget       *arrow;
} PageTree;

void init_LauncherPref (GtkWidget *parent);
void free_LauncherPref (void);
void set_new_app(void);
#endif /* _PREF_LAUNCHER_H */







